/*
 * Copyright (c) 2020 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/

// Solstice alternate/eclipsecon Drupal styles
// These styles for our conference sites.

// Solstice drupal specific styles
@import "../drupal.less";
@import "_variables.less";
@import "template.less";

@import '../../_components/eclipsefdn-video.less';
@import "../../_components/conference/attendees.less";
@import "../../_components/conference/comments.less";
@import "../../_components/conference/other-events.less";
@import "../../_components/conference/flickr.less";
@import "../../_components/conference/news-events.less";
@import "../../_components/conference/public-feedback-reports.less";
@import "../../_components/conference/schedule.less";
@import "../../_components/conference/node-session-evaluation.less";
@import "../../_components/conference/session.less";
@import "../../_components/conference/session-list.less";
@import "../../_components/conference/speakers.less";
@import "../../_components/conference/speakers-report.less";
@import "../../_components/conference/sponsors.less";
@import "../../_components/conference/toolbar.less";

// Europe 2020 components
@import "_components/sponsors.less";
@import "_components/other-events.less";
@import "_components/news-events.less";
@import "_components/slideshow.less";

.btn-quinary{
  .button-variant(@white, @brand-tertiary , darken(@brand-tertiary, 10%));
  font-weight:300;
}
main{
  padding-bottom:0;
}

.main-content-row{
  padding-bottom:1.5em;
}

#main-menu.navbar{
  border:0;
}

#main-menu .nav { 
  margin-left:-15px;
} 

#custom-search-form {
  margin-bottom:10px;
}

.front #novaContent{
  padding-top:2em;
}

.not-front{
  main{
    background:@white;
  }
}


#header-right{
  margin-top:0;
}
.block-eclipsecon-support-event-info{
  h2.block-title{
    display:none;
  }
}
.event_info{
  text-transform:uppercase;
  font-size:1.2em;
  @media (min-width: @screen-xs-min) {
    text-align:right;
  }
  @media (max-width: @screen-xs-max) {
    text-align:center;
  }
}

.event_location{
  font-weight:300;
  color:#fff;
}

.event_date{
  font-weight:bold;
}

#header-row{
  @media (min-width: @screen-sm-min) {
    padding:15px 0 0;
  }
}

#main-menu {
  li.dropdown:not(:last-child){
    .dropdown-menu {
      max-width:unset;
      width:auto;
      left:inherit;
    }
  }
}

@media (min-width: @screen-sm-min) {
    #main-menu{
        .eclipse-more .dropdown-menu{
          right:0;
          left:initial;
        }
    }
}

footer#solstice-footer{
  background:@footer-bg-color;
  .nav a:hover,
   a:hover{
    color:@footer-hover-color;
  }
}

article{
  footer{
    margin-top:20px;
  }
}

.field-name-field-session-timeslot{
  select.form-select{
    height:200px;
  }
}

#header-left {
  img.logo-eclipse-default {
    @media (min-width: 1200px) {
      max-height:80px;
    }
    @media (max-width: 1199px) {
      max-height:67px;
    }
    @media (max-width: 992px) {
      max-height:50px;
    }
  }
}

#footer-working-group-left {
  img.logo-eclipse-default {
    max-width:100%;
    padding-right:0;
    max-height:32px;
    @media (max-width: 1199px) {
      max-height:25px;
    }
    @media (max-width: 992px) {
      max-height:43px;
    }
    @media (max-width: 767px) {
      max-height:50px;
    }
  }
}

.eclipsecon-link {
  img {
    width:58%;
    @media (max-width: 1199px) {
      //width:223px;
    }
  }
}

.region-sidebar-second {
  .solstice-block-white-bg {
    padding:0;
    h2.block-title {
      color:@white;
    }
    .block-content {
      padding:15px;
    }
  }
}

h2.eclipsecon-news-title,
h2.eclipsecon-video-title{
  background-image:none;
}

.panels-flexible-147 .panels-flexible-region {
  width:100%;
}

.highlight-pictures {
text-align:center;
  .item {
    padding:0 15px;
  }
}

.eclipsecon-taxonomy-term-tracks {
  img {
    margin:0 auto;
  }
}

.eclipsecon-my-sessions {
  .view-grouping-header {
      .h2;
      margin-top: 40px;
  }
}